knockout vulnerabilities

Knockout makes it easier to create rich, responsive UIs with JavaScript

Direct Vulnerabilities

Known vulnerabilities in the knockout package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Cross-site Scripting (XSS)

<3.5.0-beta
  • M
Cross-site Scripting (XSS)

>=2.1.0-pre <3.0.0

Package versions

1 - 18 of 18 Results
version published direct vulnerabilities
3.5.1 5 Nov, 2019
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.5.0 21 Feb, 2019
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.5.0-rc2 8 Sep, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.5.0-rc 26 Apr, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.5.0-beta 12 Jan, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
3.4.2 6 Mar, 2017
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
3.4.1 8 Nov, 2016
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
3.4.0 17 Nov, 2015
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
3.3.0 18 Feb, 2015
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
3.2.0 17 Aug, 2014
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
3.1.0 7 Mar, 2014
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
2.3.0-rc 7 Mar, 2014
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L
2.3.0-pre 7 Mar, 2014
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L
2.1.0-pre 7 Mar, 2014
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L
3.0.0 25 Oct, 2013
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
2.3.0 8 Jul, 2013
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L
2.2.1 27 Feb, 2013
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L
2.1.0 9 May, 2012
  • 0
    C
  • 0
    H
  • 2
    M
  • 0
    L